import org.springframework.beans.factory.BeanFactory;
import org.springframework.beans.factory.xml.XmlBeanFactory;
import org.springframework.core.io.FileSystemResource;

public class HelloWorldSpring {

    public static void main(String[] args) throws Exception {

        System.out.println("Building the application beans");

        BeanFactory factory = getBeanFactory();
        View modelRenderer = (View) factory.getBean("renderer");
        modelRenderer.render();

        HelloWorldModel provider = (HelloWorldModel) factory.getBean("provider");
        System.out.println("Provider message " + provider.getMessage());
    }

    private static BeanFactory getBeanFactory() throws Exception {
        BeanFactory factory = new XmlBeanFactory(new FileSystemResource(
                "beans.xml"));
        return factory;
    }
}